ItemLabelBuilder (base API)
Date: 2019-04-05

com.twosigma.beakerx.chart

## Class ItemLabelBuilder

- java.lang.Object
- - com.twosigma.beakerx.chart.ItemLabelBuilder

-     public abstract class ItemLabelBuilder
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ItemLabelBuilder()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `call(java.lang.Object value)`
    `java.lang.Object` | `call(java.lang.Object value, java.lang.Object base)`
    `java.lang.Object` | `call(java.lang.Object value, java.lang.Object base, java.lang.Object series)`
    `java.lang.Object` | `call(java.lang.Object value, java.lang.Object base, java.lang.Object series, java.lang.Object category)`
    `java.lang.Object` | `call(java.lang.Object value, java.lang.Object base, java.lang.Object series, java.lang.Object category, java.lang.Object row)`
    `java.lang.Object` | `call(java.lang.Object value, java.lang.Object base, java.lang.Object series, java.lang.Object category, java.lang.Object row, java.lang.Object column)`
    `abstract int` | `getMaximumNumberOfParameters()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ItemLabelBuilder

          public ItemLabelBuilder()

  - ### Method Detail

    - #### call

          public java.lang.Object call(java.lang.Object value)

    - #### call

          public java.lang.Object call(java.lang.Object value,
                                       java.lang.Object base)

    - #### call

          public java.lang.Object call(java.lang.Object value,
                                       java.lang.Object base,
                                       java.lang.Object series)

    - #### call

          public java.lang.Object call(java.lang.Object value,
                                       java.lang.Object base,
                                       java.lang.Object series,
                                       java.lang.Object category)

    - #### call

          public java.lang.Object call(java.lang.Object value,
                                       java.lang.Object base,
                                       java.lang.Object series,
                                       java.lang.Object category,
                                       java.lang.Object row)

    - #### call

          public java.lang.Object call(java.lang.Object value,
                                       java.lang.Object base,
                                       java.lang.Object series,
                                       java.lang.Object category,
                                       java.lang.Object row,
                                       java.lang.Object column)

    - #### getMaximumNumberOfParameters

          public abstract int getMaximumNumberOfParameters()